import cuchi
from pydbg import *
from pydbg.defines import *

def handler_breakpoint (pydbg):
   # ignore the first windows driven breakpoint.
   if pydbg.first_breakpoint:
       return DBG_CONTINUE

   print "bp at 0x%08x" % pydbg.exception_address

   return DBG_CONTINUE

dbg = pydbg()
dbg.load('notepad.exe')
dbg.set_callback(EXCEPTION_BREAKPOINT, handler_breakpoint)

module = cuchi.module()
module.load('notepad.exe')
module.analyze()

for function in module.nodes.values():
    dbg.bp_set(function.ea_start, restore=False)
    for basic_block in function.nodes.values():
        dbg.bp_set(basic_block.ea_start, restore=False)

dbg.debug_event_loop()
