import sys
import string

usage = "Usage Info:\n"+\
  "%s [.vcg file] [.loc file]\n" +\
  " Converts a function flowgraph that was generated using\n"+\
  " the bd_func.plw (CTRL-0) in IDA into a list of locations\n"+\
  " for setting breakpoints to.\n"

if len( sys.argv ) != 3:
  print usage % sys.argv[0][ sys.argv[0].rfind('\\')+1 :]
  sys.exit()
  
inputfile = file( sys.argv[1], "rt" )
outputfile = file( sys.argv[2], "wt")

inlines = inputfile.readlines()
for a in inlines:
  b = a.split()
  if len(b) > 2:
    if b[0] == "node:":
      c = b[3]
      d = c[1:-1]
      e = d + "##" + d + "\n"
      outputfile.write( e )